Subject: Re: [Teas] [CCAMP] Connectivity-matrix in YANG models for WSON devices

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 24 Jul 2017 14:30:17 +0000

Hi Igor, Young, all,

(adding TEAS)

> My doubt is if you can capture all tech specific properties for Optical (WSON/Flexi-grid) Device model in one type.

This shouldn't be done for 2 reasons:

  1.  Different WGs responsibility
  2.  Future extensibility.

The TE-Topology is ok, but there are too many technology specific extensions in the TE tunnel model in my opinion. I don't want to stop or slow down this work but I'd like not to see this overlap again in the future.

>Another question I have (similar to Italo's) is that would it be more sensible to keep techn specific TE types in each tech-specific layer rather than lumping all in one TE: type Yang model. If we need to add unforeseeable technology specific technology model later, tech specific TE: Type might have some benefit.
>IB>> As mentioned I like this proposal, but we need Xufeng to tell us whether this approach is feasible and how to make this happen

Couldn't agree more.

Thanks
Daniele

From: CCAMP [mailto:[email-masked]] On Behalf Of Igor Bryskin
Sent: sabato 22 luglio 2017 15:26
To: Leeyoung <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [CCAMP] Connectivity-matrix in YANG models for WSON devices

Young,

From: Leeyoung
Sent: Saturday, July 22, 2017 3:09 AM
To: Igor Bryskin; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [CCAMP] Connectivity-matrix in YANG models for WSON devices

Hi Igor,

I understand your proposal for moving generic property like b/w, labels and others such as C.M. to TE:type where you specify all technology specific details in the groupings. My doubt is if you can capture all tech specific properties for Optical (WSON/Flexi-grid) Device model in one type. For instance, C.M. in Optical is a node property in which we have interfaces for WAN ports and may have interfaces to other elements within the node such as resource pools, etc.

IB>> I agree that CM i s a TE node's property describing the TE node's LTP to LTP switching limitations , which we believe (Dieter including)  we can describe in a generic way. The quantative  characteristics (cost vector)  of a CM entry can be layer specific (e.g. application code, available bandwidth spectrum, OSNR penalty, etc.), but this is a problem of modeling of TE paths (in this case intra-node TE paths connecting the restricted LTPs). There are multiple places where TE path is involved:

TE topology model:

-          node's detailed CM,

-          TTP's detailed LLCL,

-          underlay primary and  secondary TE paths

TE Tunnel model:

-          explicit EROs and their limits

-          computed EROs and their properties

-          provisioned EROs(RROs)

So the suggestion is to define TE path and iys layer specific properties just once and to use the grouping everywhere we need, rather than provide numerous separate explicit augmentations in the data stores, exactly the same reason why we are defang bandwidth  as a grouping (with layer specific choice statements) instead of generic type. In other words, TE path property grouping will include all the necessary layer specific attributes, hence the TE path could be used in all CM, LLCL, underlay nodes in TE topology model, explicit/computed paths in TE tunnel model (including its RPCs) without worrying which layer the TE path belongs tp.

But before we get into details, I'd like to see your proposed TE:Type for Connectivity Matrix; then Jorge and I can provide more meaningful feedback to you.

IB>> Don't understand why you worry about CM and ignore other places with exact same problem

Another question I have (similar to Italo's) is that would it be more sensible to keep techn specific TE types in each tech-specific layer rather than lumping all in one TE: type Yang model. If we need to add unforeseeable technology specific technology model later, tech specific TE: Type might have some benefit.

IB>> As mentioned I like this proposal, but we need Xufeng to tell us whether this approach is feasible and how to make this happen

Thanks.
Young

From: Igor Bryskin
Sent: Friday, July 21, 2017 10:25 PM
To: Leeyoung <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [CCAMP] Connectivity-matrix in YANG models for WSON devices

Young,
When you said you wanted to  augment  basic connectivity matrix to include, for example, application code on per CM entry basis, you really meant to augment TE path proprties with things like application code, OSNR at the edgges, etc. -detailed CM entry attributes.
This means that the same augmentation will be needed every time when a TE path is involved. This happens in multiple places in both TE Topology and Tunnel models. Thus it is much better to provide somehow just once layer specific choice statements for TE path properties and then use the grouping everywhere in both models - exactly the same argunent for defining the bandwidth  the way we did.

Igor
From:Leeyoung
To:Dieter Beller,[email-masked],
Date:2017-07-21 09:12:16
Subject:Re: [CCAMP] Connectivity-matrix in YANG models for WSON devices

Hi Dieter,

Please see inline for my comment.

Thanks.
Young

From: CCAMP [mailto:[email-masked]] On Behalf Of Dieter Beller
Sent: Friday, July 21, 2017 1:20 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [CCAMP] Connectivity-matrix in YANG models for WSON devices

Hi CCAMPers,

during the joint session an YANG and the CCAMP session yesterday, I commented that the following two drafts are defining a connectivity matrix in the
YANG models for WSON devices:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
https://datatracker.ietf.org/doc/draft-vergara-ccamp-flexigrid-yang/

I was suggesting to have a look at the definition of the connectivity-matrix in https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te-topo/ and re-use
that definition unless there are good reasons to define the connectivity matrix for WSON devices differently.
YL>> We have not finished the model. We will add a few items to the Conn. Matrix which are physical layer specific information augmentation. I can foresee the ports/interfaces in and out of the device may be associated with FEC/Modulation constraints and other impairment aspect as well. I also foresee within a device, we may have embedded resource pool models, etc. But as you say, anything has defined in the TE-topo will be augmented and we will only describe additional properties peculiar to optical.

Moreover, the connectivity-matrix of a WSON device (e.g. a ROADM) typically reflects the connectivity limitations of the wavelength selective switching
fabric of the device and hence should be read-only (ro) as opposed to read-writable (rw). Why would an operator further restrict  the connectivity
capabilities of a WSON device?
YL>> With the physical data added, there may be administrative issues where some restriction would apply. We don't have specific use-case at this moment, but leaving +rw may be sensible thing.

Thanks,
Dieter